Codepage

## Classes

class | boost::locale::conv::conversion_error
| The exception that is thrown in case of conversion error. More...
class | boost::locale::conv::invalid_charset_error
| This exception is thrown in case of use of unsupported or invalid character set. More...

## Enumerations

enum | boost::locale::conv::method_type { boost::locale::conv::skip = 0 , boost::locale::conv::stop = 1 , boost::locale::conv::default_method = skip }
| enum that defines conversion policy More...

## Functions

template<typename CharOut , typename CharIn >
std::basic_string< CharOut > | boost::locale::conv::utf_to_utf (const CharIn *begin, const CharIn *end, method_type how=default_method)
template<typename CharOut , typename CharIn >
std::basic_string< CharOut > | boost::locale::conv::utf_to_utf (const CharIn *str, method_type how=default_method)
template<typename CharOut , typename CharIn >
std::basic_string< CharOut > | boost::locale::conv::utf_to_utf (const std::basic_string< CharIn > &str, method_type how=default_method)

## Detailed Description

## Enumeration Type Documentation

## method_type

enum boost::locale::conv::method_type

enum that defines conversion policy

Enumerator
skip | Skip illegal/unconvertible characters.
stop | Stop conversion and throw conversion_error.
default_method | Default method - skip.

## Function Documentation

## utf_to_utf() [1/3]

template<typename CharOut , typename CharIn >

std::basic_string< CharOut > boost::locale::conv::utf_to_utf | ( | const CharIn * | begin,
|  | const CharIn * | end,
|  | method_type | how = `default_method`
| ) |  |

Convert a Unicode text in range [begin,end) to other Unicode encoding

Exceptions

  conversion_error | Conversion failed (e.g. how is `stop` and any character cannot be decoded)

## utf_to_utf() [2/3]

template<typename CharOut , typename CharIn >

std::basic_string< CharOut > boost::locale::conv::utf_to_utf | ( | const CharIn * | str,
|  | method_type | how = `default_method`
| ) |  |

Convert a Unicode NULL terminated string str other Unicode encoding

Exceptions

  conversion_error | Conversion failed (e.g. how is `stop` and any character cannot be decoded)

## utf_to_utf() [3/3]

template<typename CharOut , typename CharIn >

std::basic_string< CharOut > boost::locale::conv::utf_to_utf | ( | const std::basic_string< CharIn > & | str,
|  | method_type | how = `default_method`
| ) |  |

Convert a Unicode string str other Unicode encoding

Exceptions

  conversion_error | Conversion failed (e.g. how is `stop` and any character cannot be decoded)

- © Copyright 2009-2012 Artyom Beilis, Distributed under the Boost Software License, Version 1.0.